Skip to main content
POST
/
contracts
/
{contractId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<ExternalWalletAsset>> = fireblocks.contracts.addContractAsset(contractsApiAddContractAssetRequest);
{
  "id": "<string>",
  "status": "WAITING_FOR_APPROVAL",
  "address": "<string>",
  "balance": 123,
  "lockedAmount": 123,
  "tag": "<string>",
  "activationTime": "<string>",
  "additionalInfo": [
    {
      "accountHolderGivenName": "<string>",
      "accountHolderSurname": "<string>",
      "accountHolderCity": "<string>",
      "accountHolderCountry": "<string>",
      "accountHolderAddress1": "<string>",
      "accountHolderAddress2": "<string>",
      "accountHolderDistrict": "<string>",
      "accountHolderPostalCode": "<string>",
      "abaRoutingNumber": "<string>",
      "abaAccountNumber": "<string>",
      "abaCountry": "<string>",
      "iban": "<string>",
      "ibanCity": "<string>",
      "ibanCountry": "<string>",
      "speiClabe": "<string>",
      "speiName": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

contractId
string
required

The ID of the contract

assetId
string
required

The ID of the asset to add

Body

application/json
address
string
required

The contract's address (or xpub) of the wallet

tag
string

The destination tag, for XRP wallets

Response

A Wallet Asset object

id
string
status
enum<string>
Available options:
WAITING_FOR_APPROVAL,
APPROVED,
CANCELLED,
REJECTED,
FAILED
address
string
balance
number
lockedAmount
number
tag
string
activationTime
string
additionalInfo
object[]